GET
/consents/{id}Recuperar
Recupera o recurso de consentimento pelo seu id
Parameters
Path Parameters
| Name | Type |
|---|---|
idrequired | string (uuid) |
Responses
200Recuperar um consentimento.
object
Item consent information
idrequiredstring
Identificador primário de consentimento
itemIdrequiredstring
Identificador principal do item associado ao consentimento
productsrequiredstring[]
Produtos a serem coletados na conexão
itemsstring
ACCOUNTSCREDIT_CARDSTRANSACTIONSPAYMENT_DATAINVESTMENTSINVESTMENTS_TRANSACTIONSIDENTITYBROKERAGE_NOTEMOVE_SECURITYLOANS
openFinancePermissionsGrantedstring[]
Produtos consentidos pelo usuário para serem coletados
itemsstring
REGISTRATION_ALLREGISTRATION_IDENTIFICATIONSREGISTRATION_QUALIFICATIONSREGISTRATION_FINANCIAL_RELATIONSACCOUNTS_ALLACCOUNTS_LISTACCOUNTS_BALANCESACCOUNTS_LIMITSACCOUNTS_TRANSACTIONSCREDIT_CARDS_ALLCREDIT_CARDS_LISTCREDIT_CARDS_LIMITSCREDIT_CARDS_TRANSACTIONSCREDIT_CARDS_BILLSCREDIT_OPERATIONS_ALLINVESTMENTS_ALLEXCHANGES_ALL
createdAtrequiredstring (date-time)
Data em que o consentimento foi dado
expiresAtstring (date-time)
Data em que o consentimento expira. Nulo se o consentimento não expirar.
revokedAtstring (date-time) | null
Data em que o consentimento foi revogado
Example response
json
{
"id": "string",
"itemId": "string",
"products": [
"ACCOUNTS"
],
"openFinancePermissionsGranted": [
"REGISTRATION_ALL"
],
"createdAt": "2024-01-01T00:00:00Z",
"expiresAt": "2024-01-01T00:00:00Z",
"revokedAt": "2024-01-01T00:00:00Z"
}curl -X GET \
'https://api.pluggy.ai/consents/{id}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Resposta de exemplo
{
"id": "string",
"itemId": "string",
"products": [
"ACCOUNTS"
],
"openFinancePermissionsGranted": [
"REGISTRATION_ALL"
],
"createdAt": "2024-01-01T00:00:00Z",
"expiresAt": "2024-01-01T00:00:00Z",
"revokedAt": "2024-01-01T00:00:00Z"
}